singleton Material(boulder_lights)
{
    mapTo = "pickup_lights";
    diffuseMap[1] = "vehicles/pickup/boulder/boulder_lights_d.dds";
    specularMap[1] = "vehicles/pickup/boulder/boulder_lights_s.dds";
    normalMap[1] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    //diffuseMap[2] = "vehicles/pickup/boulder/boulder_lights_dirt.dds";
    //normalMap[2] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_on)
{
    mapTo = "pickup_lights_on";
    diffuseMap[2] = "vehicles/pickup/boulder/boulder_lights_g.dds";
    specularMap[2] = "vehicles/pickup/boulder/boulder_lights_s.dds";
    normalMap[2] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    diffuseMap[1] = "vehicles/pickup/boulder/boulder_lights_d.dds";
    specularMap[1] = "vehicles/pickup/boulder/boulder_lights_s.dds";
    normalMap[1] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    //diffuseMap[3] = "vehicles/pickup/boulder/boulder_lights_dirt.dds";
    //normalMap[3] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_on_intense)
{
    mapTo = "pickup_lights_on_intense";
    diffuseMap[2] = "vehicles/pickup/boulder/boulder_lights_g.dds";
    specularMap[2] = "vehicles/pickup/boulder/boulder_lights_s.dds";
    normalMap[2] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    diffuseMap[1] = "vehicles/pickup/boulder/boulder_lights_d.dds";
    specularMap[1] = "vehicles/pickup/boulder/boulder_lights_s.dds";
    normalMap[1] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    //diffuseMap[3] = "vehicles/pickup/boulder/boulder_lights_dirt.dds";
    //normalMap[3] = "vehicles/pickup/boulder/boulder_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(boulder_lights_dmg)
{
    mapTo = "boulder_lights_dmg";
    diffuseMap[1] = "vehicles/pickup/boulder/boulder_lights_dmg_d.dds";
    specularMap[1] = "vehicles/pickup/boulder/boulder_lights_dmg_s.dds";
    normalMap[1] = "vehicles/pickup/boulder/boulder_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/pickup/boulder/boulder_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/pickup/boulder/boulder_lights_dirt.dds";
    //normalMap[2] = "vehicles/pickup/boulder/boulder_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};